Method: projects.chatAppConfig.patch

Updates the Chat app configuration of a project. Only Chat apps built as Google Workspace add-ons are supported. Each Google Cloud project has exactly one Chat app configuration.

Requires authenticating and authorizing with user credentials and the gsuiteaddons.chatAppConfigs.update, chat.bots.update and chat.bots.get IAM permissions on the project.

HTTP request

PATCH https://gsuiteaddons.googleapis.com/v1/{chatAppConfig.name=projects/*/chatAppConfig}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
chatAppConfig.name

string

Required. Identifier. Resource name of the Chat app configuration.

Format: projects/{project}/chatAppConfig, where {project} is the Google Cloud project number.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

If omitted, only the fields with non-empty values in the provided Chat app configuration are updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of ChatAppConfig.

Response body

If successful, the response body contains an instance of ChatAppConfig.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authorization guide.